Bug 533320 - cyrus-imapd is no longer sourcing /etc/sysconfig/cyrus-imapd
Summary: cyrus-imapd is no longer sourcing /etc/sysconfig/cyrus-imapd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-06 03:59 UTC by Anthony Messina
Modified: 2009-11-25 15:32 UTC (History)
1 user (show)

Fixed In Version: 2.3.15-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-25 15:32:47 UTC
Type: ---


Attachments (Terms of Use)

Description Anthony Messina 2009-11-06 03:59:03 UTC
cyrus-imapd-2.3.15-2.fc11.x86_64 doesn't source /etc/sysconfig/cyrus-imapd (though the package owns it) and therefore doesn't get the Kerberos keytab info.

# Kerberos v5 Keytab
KRB5_KTNAME=/etc/krb5-cyrus.keytab ; export KRB5_KTNAME

Perhaps there is *better* way to have it load the keytab.

This change occurs from here: http://cvs.fedoraproject.org/viewvc/rpms/cyrus-imapd/F-11/cyrus-imapd.init?r1=1.2&r2=1.3

Temporarily, I've inserted the following line in /etc/init.d/cyrus-imapd
KRB5_KTNAME=/etc/krb5-cyrus.keytab ; export KRB5_KTNAME
and it works swimmingly.

Comment 1 Michal Hlavinka 2009-11-06 13:19:21 UTC
> Perhaps there is *better* way to have it load the keytab.

http://cyrusimap.web.cmu.edu/imapd/install-auth.html mentions only using /etc/krb5.keytab with no other configuration, so this is probably default name. Other sources I've found usualy use the way you've used.

Because there was stupid copy-paste bug, it sourced /etc/sysconfig/dovecot file instead of cyrus-imapd. Thanks for reporting this.

Fixed since cyrus-imapd-2.3.15-4.fc11

Comment 2 Fedora Update System 2009-11-06 14:51:16 UTC
cyrus-imapd-2.3.15-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cyrus-imapd-2.3.15-5.fc12

Comment 3 Fedora Update System 2009-11-10 17:53:15 UTC
cyrus-imapd-2.3.15-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cyrus-imapd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11045

Comment 4 Fedora Update System 2009-11-25 15:03:13 UTC
cyrus-imapd-2.3.15-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-11-25 15:32:38 UTC
cyrus-imapd-2.3.15-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.